Page MenuHomePhabricator

tests: skip pyflakes for mercurial/thirdparty/
ClosedPublic

Authored by av6 on Jun 6 2020, 7:31 AM.

Details

Summary

The current version of pyflakes (2.2.0) correctly detects one issue:

mercurial/thirdparty/selectors2.py:335:40 '...'.format(...) has unused arguments at position(s): 1

But we're not interested in fixing lint errors in third-party code, so we need
to exclude at least selectors2.py. And in the discussion for this patch it was
decided to just skip the entire thirdparty directory.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

av6 created this revision.Jun 6 2020, 7:31 AM
mjacob added a subscriber: mjacob.Jun 6 2020, 8:47 AM
mjacob added inline comments.
tests/test-check-pyflakes.t
19

Wouldn’t it make sense to skip everything in mercurial/thirdparty?

av6 added inline comments.Jun 6 2020, 9:09 AM
tests/test-check-pyflakes.t
19

That's what I'd think too, but maybe there's a reason why only certain directories/files from thirdparty/ are listed here. I'll let someone who knows more about the thirdparty directory make the call.

marmoute added inline comments.
tests/test-check-pyflakes.t
19
pulkit added a subscriber: pulkit.Jun 9 2020, 5:14 AM
pulkit added inline comments.
tests/test-check-pyflakes.t
19

I think we can just skip everything in mercurial/thirdparty.

av6 retitled this revision from tests: skip pyflakes for selectors2.py to tests: skip pyflakes for mercurial/thirdparty/.Jun 9 2020, 8:34 AM
av6 edited the summary of this revision. (Show Details)
av6 updated this revision to Diff 21587.
pulkit accepted this revision.Jun 11 2020, 9:06 AM
This revision is now accepted and ready to land.Jun 11 2020, 9:06 AM
This revision was automatically updated to reflect the committed changes.